Bug 438129 (CVE-2008-1332) - CVE-2008-1332 asterisk: Unauthenticated calls allowed from SIP channel driver (AST-2008-003)
Summary: CVE-2008-1332 asterisk: Unauthenticated calls allowed from SIP channel driver...
Status: CLOSED ERRATA
Alias: CVE-2008-1332
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard:
Keywords: Security
Depends On: 438132 438133
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-19 10:18 UTC by Tomas Hoger
Modified: 2008-03-31 09:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-31 09:44:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2008-03-19 10:18:36 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1332 to the following vulnerability:

Asterisk Project Security Advisory - AST-2008-003

Unauthenticated calls can be made via the SIP channel driver using an invalid
From header. This acts similarly to the SIP configuration option
'allowguest=yes', in that calls with a specially crafted From header would be
sent to the PBX in the context specified in the general section of sip.conf.

References:
http://downloads.digium.com/pub/security/AST-2008-003.html

Comment 2 Fedora Update System 2008-03-19 15:45:35 UTC
asterisk-1.4.18.1-1.fc8 has been submitted as an update for Fedora 8

Comment 3 Fedora Update System 2008-03-20 03:50:33 UTC
asterisk-1.4.18.1-1.fc7 has been submitted as an update for Fedora 7

Comment 4 Fedora Update System 2008-03-21 22:02:50 UTC
asterisk-1.4.18.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-03-21 22:14:15 UTC
asterisk-1.4.18.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Red Hat Product Security 2008-03-31 09:44:01 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-2620
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2554




Note You need to log in before you can comment on or make changes to this bug.